#   SPDX-FileCopyrightText: no
#   SPDX-License-Identifier: CC0-1.0
#
language: cpp

python:
  - 3.5

sudo: required

services:
  - docker

notifications:
  irc:
    - "chat.freenode.net#manjaro"

install:
  - docker build -t calamares .

script:
  - docker run -v $PWD:/src --tmpfs /build:rw,size=112M -e SRCDIR=/src -e BUILDDIR=/build calamares "/src/ci/travis.sh"

